<?xml version="1.0" encoding="utf-8"?>
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:href="259400OI92UBLS9RJK55-2020-12-31.xsd#ext_OtherReservesExcludingReserveOfExchangeDifferencesOnTranslation" xlink:label="OtherReservesExcludingReserveOfExchangeDifferencesOnTranslation" />
    <link:label xlink:type="resource" xlink:label="label_OtherReservesExcludingReserveOfExchangeDifferencesOnTranslation" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" id="label_OtherReservesExcludingReserveOfExchangeDifferencesOnTranslation">Pozostałe kapitały rezerwowe za wyjątkiem różnic kursowych z przeliczenia</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherReservesExcludingReserveOfExchangeDifferencesOnTranslation" xlink:to="label_OtherReservesExcludingReserveOfExchangeDifferencesOnTranslation" />
    <link:loc xlink:type="locator" xlink:href="259400OI92UBLS9RJK55-2020-12-31.xsd#ext_SupplementaryCapital" xlink:label="SupplementaryCapital" />
    <link:label xlink:type="resource" xlink:label="label_SupplementaryCapital" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" id="label_SupplementaryCapital">Kapitał zapasowy</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SupplementaryCapital" xlink:to="label_SupplementaryCapital" />
    <link:loc xlink:type="locator" xlink:href="259400OI92UBLS9RJK55-2020-12-31.xsd#ext_AdjustmentsForCogenerationCertificates" xlink:label="AdjustmentsForCogenerationCertificates" />
    <link:label xlink:type="resource" xlink:label="label_AdjustmentsForCogenerationCertificates" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" id="label_AdjustmentsForCogenerationCertificates">Certyfikaty kogeneracji</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForCogenerationCertificates" xlink:to="label_AdjustmentsForCogenerationCertificates" />
    <link:loc xlink:type="locator" xlink:href="259400OI92UBLS9RJK55-2020-12-31.xsd#ext_AdjustmentsForDecreaseIncreaseInAccrualsAndDeferredIncome" xlink:label="AdjustmentsForDecreaseIncreaseInAccrualsAndDeferredIncome" />
    <link:label xlink:type="resource" xlink:label="label_AdjustmentsForDecreaseIncreaseInAccrualsAndDeferredIncome" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" id="label_AdjustmentsForDecreaseIncreaseInAccrualsAndDeferredIncome">Zmiana stanu rozliczeń międzyokresowych</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForDecreaseIncreaseInAccrualsAndDeferredIncome" xlink:to="label_AdjustmentsForDecreaseIncreaseInAccrualsAndDeferredIncome" />
  </link:labelLink>
</link:linkbase>